﻿using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.RGV
{
    /// <summary>
    ///  RGV
    /// </summary>
    [DataContract]
    [SugarTable("Log")]
    public class WCS_Log : TDengineBaseEntity
    {
        [DataMember(Order = 0)]
        public string World { get; set; }

        [DataMember(Order = 1)]
        public string System { get; set; }

        [DataMember(Order = 2)]
        public string Title { get; set; }

        [DataMember(Order = 3)]
        public string Content { get; set; }

        [DataMember(Order = 4)]
        public DateTime ExTime { get; set; }

        [DataMember(Order = 6)]
        public int ManagedThreadId { get; set; }
    }
}
